Summarise Log
curl --request POST \
--url https://api.streamkap.com/logs/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connector_name": "<string>",
"namespace_name": "<string>",
"timestamp": "<string>",
"entity_id": "<string>",
"log_section": "<string>",
"entity_type": "source",
"log_uuid": "<string>"
}
'import requests
url = "https://api.streamkap.com/logs/summary"
payload = {
"connector_name": "<string>",
"namespace_name": "<string>",
"timestamp": "<string>",
"entity_id": "<string>",
"log_section": "<string>",
"entity_type": "source",
"log_uuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connector_name: '<string>',
namespace_name: '<string>',
timestamp: '<string>',
entity_id: '<string>',
log_section: '<string>',
entity_type: 'source',
log_uuid: '<string>'
})
};
fetch('https://api.streamkap.com/logs/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Logs
Summarise Log
Generate and store a structured summary for a single log entry.
POST
/
logs
/
summary
Summarise Log
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example: 2025-07-30T07:51:48.000000Z
Required only when log_uuid is not provided
Available options:
source, destination UUID of the log entry, if available
Response
Successful Response
Was this page helpful?
⌘I